Subject: bug#18969: 25.0.50; byte compiler warnings don't conform to GCS

From: Stefan Kangas <[email-masked]>
Date: Tue, 31 Dec 2019 11:34:18 +0100

Stefan Kangas <[email-masked]> writes:

> Tom Tromey <[email-masked]> writes:
>
>> I got this warning from the byte compiler:
>>
>> q.el:2:8:Warning: value returned from (aref v 0) is unused
>>
>> This doesn't fully conform to the GNU Coding Standards.
>>>>>From (info "(standards) Errors")
>>
>>     If you want to mention the column number, use one of these formats:
>>
>>          SOURCE-FILE-NAME:LINENO:COLUMN: MESSAGE
>>          SOURCE-FILE-NAME:LINENO.COLUMN: MESSAGE
>>
>> The output here is missing a space after the ":".
>
> Rüdiger Sonderfeld <[email-masked]> writes:
>
>> On Wednesday 05 November 2014 19:58:04 Tom Tromey wrote:
>>> The output here is missing a space after the ":".
>>
>> I wrote a quick fix for it.  But I'm not sure if this is the best approach:
>>
>> diff --git a/lisp/emacs-lisp/bytecomp.el b/lisp/emacs-lisp/bytecomp.el
>> index 392f6ee..d2bbefa 100644
>> --- a/lisp/emacs-lisp/bytecomp.el
>> +++ b/lisp/emacs-lisp/bytecomp.el
>> @@ -1082,7 +1082,7 @@ (defun byte-compile-warning-prefix (level entry)
>>                             byte-compile-last-warned-form))))
>>        (insert (format "\nIn %s:\n" form)))
>>      (when level
>> -      (insert (format "%s%s" file pos))))
>> +      (insert (format "%s%s " file pos))))
>>    (setq byte-compile-last-logged-file byte-compile-current-file
>>         byte-compile-last-warned-form byte-compile-current-form)
>>    entry)
>
> This was never installed at the time, but it does seem that we are
> breaking against GNU Coding Standards.  Does anyone object to
> installing the above change?

I have seen no objections within 3 weeks, so I'll go ahead and install
this change on the master branch within a couple of days.

Best regards,
Stefan Kangas